<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>R-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="index: R">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:R">R</h2>
<dl class="index">
<dt><a href="../org/vtokarev/controller/RequestListServlet.html" class="type-name-link" title="class in org.vtokarev.controller">RequestListServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>RequestListServlet</code> class processes GET <code>requestList</code> requests generated by users with GUEST and MANAGER roles.</div>
</dd>
<dt><a href="../org/vtokarev/controller/RequestListServlet.html#%3Cinit%3E()" class="member-name-link">RequestListServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/RequestListServlet.html" title="class in org.vtokarev.controller">RequestListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/BookingStatus.html#RESERVED" class="member-name-link">RESERVED</a> - Enum constant in enum class org.vtokarev.domain.<a href="../org/vtokarev/domain/BookingStatus.html" title="enum class in org.vtokarev.domain">BookingStatus</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html" class="type-name-link" title="class in org.vtokarev.domain">Room</a> - Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>Room</code> class represents the entity of room.</div>
</dd>
<dt><a href="../org/vtokarev/domain/Room.html#%3Cinit%3E()" class="member-name-link">Room()</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#%3Cinit%3E(long,java.lang.String,java.lang.String,int,long,java.lang.String,double,boolean)" class="member-name-link">Room(long, String, String, int, long, String, double, boolean)</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomClass.html" class="type-name-link" title="class in org.vtokarev.domain">RoomClass</a> - Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>RoomClass</code> class represents the entity of the class of the room.</div>
</dd>
<dt><a href="../org/vtokarev/domain/RoomClass.html#%3Cinit%3E()" class="member-name-link">RoomClass()</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomClass.html#%3Cinit%3E(long,java.lang.String)" class="member-name-link">RoomClass(long, String)</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomClassDao.html" class="type-name-link" title="interface in org.vtokarev.dao">RoomClassDao</a> - Interface in <a href="../org/vtokarev/dao/package-summary.html">org.vtokarev.dao</a></dt>
<dd>
<div class="block"><code>RoomClassDao</code> interface extends <code>GenericDao</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html" class="type-name-link" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a> - Class in <a href="../org/vtokarev/dao/mysql/package-summary.html">org.vtokarev.dao.mysql</a></dt>
<dd>
<div class="block"><code>RoomClassDaoImpl</code> class is an implementation of <a href="../org/vtokarev/dao/RoomClassDao.html" title="interface in org.vtokarev.dao"><code>RoomClassDao</code></a> interface for MySQL persistence layer backend.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html#%3Cinit%3E(javax.sql.DataSource)" class="member-name-link">RoomClassDaoImpl(DataSource)</a> - Constructor for class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomClassService.html" class="type-name-link" title="class in org.vtokarev.service">RoomClassService</a> - Class in <a href="../org/vtokarev/service/package-summary.html">org.vtokarev.service</a></dt>
<dd>
<div class="block"><code>RoomClassService</code> is a service layer class that implements methods for operations with room classes.</div>
</dd>
<dt><a href="../org/vtokarev/service/RoomClassService.html#%3Cinit%3E(org.vtokarev.dao.RoomClassDao)" class="member-name-link">RoomClassService(RoomClassDao)</a> - Constructor for class org.vtokarev.service.<a href="../org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html" class="type-name-link" title="interface in org.vtokarev.dao">RoomDao</a> - Interface in <a href="../org/vtokarev/dao/package-summary.html">org.vtokarev.dao</a></dt>
<dd>
<div class="block"><code>RoomDao</code> interface extends <code>GenericDao</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" class="type-name-link" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a> - Class in <a href="../org/vtokarev/dao/mysql/package-summary.html">org.vtokarev.dao.mysql</a></dt>
<dd>
<div class="block"><code>RoomDaoImpl</code> class is an implementation of <a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao"><code>RoomDao</code></a> interface for MySQL persistence layer backend.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#%3Cinit%3E(javax.sql.DataSource,java.lang.String)" class="member-name-link">RoomDaoImpl(DataSource, String)</a> - Constructor for class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html" class="type-name-link" title="class in org.vtokarev.dto">RoomEditDto</a> - Class in <a href="../org/vtokarev/dto/package-summary.html">org.vtokarev.dto</a></dt>
<dd>
<div class="block">The <code>RoomEditDto</code> class is a data transfer object, that encapsulates <a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>, <a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>
 and calculated field <code>List&lt;String&gt; images</code>, which contains an actual list of images of the room.</div>
</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#%3Cinit%3E()" class="member-name-link">RoomEditDto()</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#%3Cinit%3E(org.vtokarev.domain.Room,org.vtokarev.domain.RoomClass,java.util.List)" class="member-name-link">RoomEditDto(Room, RoomClass, List&lt;String&gt;)</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/RoomListServlet.html" class="type-name-link" title="class in org.vtokarev.controller">RoomListServlet</a> - Class in <a href="../org/vtokarev/controller/package-summary.html">org.vtokarev.controller</a></dt>
<dd>
<div class="block">The <code>RoomListServlet</code> class processes GET <code>roomList</code> requests generated by users with ADMIN role.</div>
</dd>
<dt><a href="../org/vtokarev/controller/RoomListServlet.html#%3Cinit%3E()" class="member-name-link">RoomListServlet()</a> - Constructor for class org.vtokarev.controller.<a href="../org/vtokarev/controller/RoomListServlet.html" title="class in org.vtokarev.controller">RoomListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html" class="type-name-link" title="class in org.vtokarev.domain">RoomRequest</a> - Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>RoomRequest</code> class represents the request made by guests to find the room by parameters.</div>
</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#%3Cinit%3E()" class="member-name-link">RoomRequest()</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#%3Cinit%3E(long,java.time.LocalDate,java.time.LocalDate,int,java.lang.String,java.lang.String,long,long,long,java.time.Instant,org.vtokarev.domain.RoomRequestStatus)" class="member-name-link">RoomRequest(long, LocalDate, LocalDate, int, String, String, long, long, long, Instant, RoomRequestStatus)</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#%3Cinit%3E(org.vtokarev.domain.RoomRequest)" class="member-name-link">RoomRequest(RoomRequest)</a> - Constructor for class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomRequestDao.html" class="type-name-link" title="interface in org.vtokarev.dao">RoomRequestDao</a> - Interface in <a href="../org/vtokarev/dao/package-summary.html">org.vtokarev.dao</a></dt>
<dd>
<div class="block"><code>RoomRequestDao</code> interface extends <code>GenericDao</code> interface.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" class="type-name-link" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a> - Class in <a href="../org/vtokarev/dao/mysql/package-summary.html">org.vtokarev.dao.mysql</a></dt>
<dd>
<div class="block"><code>RoomRequestDaoImpl</code> class is an implementation of <a href="../org/vtokarev/dao/RoomRequestDao.html" title="interface in org.vtokarev.dao"><code>RoomRequestDao</code></a> interface for MySQL persistence layer backend.</div>
</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#%3Cinit%3E(javax.sql.DataSource)" class="member-name-link">RoomRequestDaoImpl(DataSource)</a> - Constructor for class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html" class="type-name-link" title="class in org.vtokarev.dto">RoomRequestDto</a> - Class in <a href="../org/vtokarev/dto/package-summary.html">org.vtokarev.dto</a></dt>
<dd>
<div class="block">The <code>RoomRequestDto</code> class is a data transfer object, that encapsulates <a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a>,
 some fields of <a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>,<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain"><code>User</code></a>, <a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a> and <a href="../org/vtokarev/domain/BookingStatus.html" title="enum class in org.vtokarev.domain"><code>BookingStatus</code></a>.</div>
</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#%3Cinit%3E()" class="member-name-link">RoomRequestDto()</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#%3Cinit%3E(org.vtokarev.domain.RoomRequest,java.lang.String,java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">RoomRequestDto(RoomRequest, String, String, String, String)</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomRequestService.html" class="type-name-link" title="class in org.vtokarev.service">RoomRequestService</a> - Class in <a href="../org/vtokarev/service/package-summary.html">org.vtokarev.service</a></dt>
<dd>
<div class="block"><code>RoomRequestService</code> is a service layer class that implements methods for operations with room requests.</div>
</dd>
<dt><a href="../org/vtokarev/service/RoomRequestService.html#%3Cinit%3E(org.vtokarev.dao.RoomRequestDao,org.vtokarev.service.RoomService,org.vtokarev.service.RoomClassService)" class="member-name-link">RoomRequestService(RoomRequestDao, RoomService, RoomClassService)</a> - Constructor for class org.vtokarev.service.<a href="../org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequestStatus.html" class="type-name-link" title="enum class in org.vtokarev.domain">RoomRequestStatus</a> - Enum Class in <a href="../org/vtokarev/domain/package-summary.html">org.vtokarev.domain</a></dt>
<dd>
<div class="block">The <code>RoomRequestStatus</code> class represents the entity of status of the <a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a>.</div>
</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html" class="type-name-link" title="class in org.vtokarev.dto">RoomSearchDto</a> - Class in <a href="../org/vtokarev/dto/package-summary.html">org.vtokarev.dto</a></dt>
<dd>
<div class="block">The <code>RoomSearchDto</code> class is a data transfer object, that encapsulates <a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>,
 some fields of <a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>, and calculated field <code>status</code> .</div>
</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#%3Cinit%3E()" class="member-name-link">RoomSearchDto()</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#%3Cinit%3E(org.vtokarev.domain.Room,java.lang.String,java.lang.String,java.util.List)" class="member-name-link">RoomSearchDto(Room, String, String, List&lt;String&gt;)</a> - Constructor for class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html" class="type-name-link" title="class in org.vtokarev.service">RoomService</a> - Class in <a href="../org/vtokarev/service/package-summary.html">org.vtokarev.service</a></dt>
<dd>
<div class="block"><code>RoomService</code> is a service layer class that implements methods for operations with rooms.</div>
</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#%3Cinit%3E(org.vtokarev.dao.RoomDao)" class="member-name-link">RoomService(RoomDao)</a> - Constructor for class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/ScheduledUpdateRecordsService.html#run()" class="member-name-link">run()</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/ScheduledUpdateRecordsService.html" title="class in org.vtokarev.service">ScheduledUpdateRecordsService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
